
Redmine - Defect #6876

Diff view truncating lines shouldn't be counting SVN props

2010-11-12 13:03 - Ве Fio

Status: Closed Start date: 2010-11-12

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version:  

Description

Lets say I make a commit that deletes 5,000 SVN props off of files. If I click the diff, it'll truncate it with,

"... This diff was truncated because it exceeds the maximum size that can be displayed."

Because it exceeds the length set in the admin panel. But these prop changes don't even show up in the diff, so they shouldn't be

counted toward the total at all. Only the actual textual changes should be counted.

Don't know if this applies to other systems such as HG, Git, etc, but this definitely applies to SVN.

Related issues:

Is duplicate of Redmine - Feature #6877: Add prop (property) changes to revis... Closed 2010-11-12

Is duplicate of Redmine - Feature #5665: Subversion: there is no information ... New 2010-06-10

History

#1 - 2010-11-12 13:09 - Ве Fio

This bug conflicts with my feature request #6877. I'd honestly much rather prefer you implement #6877 instead of this bug report.

#2 - 2011-03-29 13:03 - Toshi MARUYAMA

- Category changed from Projects to SCM

#3 - 2011-03-29 13:04 - Toshi MARUYAMA

- Status changed from New to Closed

- Resolution set to Duplicate

Duplicate with #6877.

#4 - 2011-03-29 13:08 - Toshi MARUYAMA

Duplicate with #5665.
